Quick Start to Autodesk Network Licensing

How to Install the Network License Manager
Autodesk Network Licensing Guide >
Quick Start to Autodesk Network Licensing

Setting up network licenses for an Autodesk product requires careful planning and execution. This section gives you quick, step-by-step instructions about how to set up a network licensed environment, and assumes that you are familiar with the terminology and processes required to successfully set up an Autodesk product to run on a network. If you are not familiar with network licensing, please read the entire Network Licensing Guide for further details before you attempt to set up a network license server.

Topics in this section

  • How to Install the Network License Manager
  • How to Install and Use the Network License Activation Utility
  • How to Configure a License Server
  • How to Install and Use SAMreport-Lite (Optional)
Please send us your comment about this page


How to Install the Network License Manager

Quick Start to Autodesk Network Licensing
Quick Start to Autodesk Network Licensing
How to Install and Use the Network License Activation Utility
Autodesk Network Licensing Guide > Quick Start to Autodesk Network Licensing >
How to Install the Network License Manager

The Network License Manager is used to configure and manage the license servers.

To install your Network License Manager

  1. In the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install. If you want to change the install type or installation path, click Configure.
  5. On the Select the Installation Type page, select Typical or Custom and accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.


How to Install and Use the Network License Activation Utility

How to Install the Network License Manager
Quick Start to Autodesk Network Licensing
How to Configure a License Server
Autodesk Network Licensing Guide > Quick Start to Autodesk Network Licensing >
How to Install and Use the Network License Activation Utility

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network-licensed version of the program. In addition, you can register your product, get automated support by email if you cannot obtain a license over the Internet, and save and migrate license files automatically.

To install your Network License Activation utility

  1. In the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Autodesk Network License Activation utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, review your product selection and the current settings. If you don’t want to make any changes, click Install.

    If you want to change the install type or installation path, click Configure.

  5. On the Select the Installation Type page, select Typical or Custom and accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\enu\) or Browse to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Next.
  6. On the Configuration Complete page, click Configuration Complete to return to the confirmation page.
  7. On the Review - Configure - Install page, click Install.
  8. When the Installation Complete page displays, click Finish.

To use your Network License Activation utility (online request)

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] AutoCAD 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, make sure Direct Connect (over the Internet) is active, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number or Group ID
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      If you don’t know the host name, click the [...] button to locate the name of each server you plan to use.

      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. On the Log In page, enter your User ID and Password and then click Log In.

    If you don’t have a user account, click the Create a User ID Now link and follow the instructions to create a new user account.

  6. On the Confirm Your Information page, select a profile and click Next.
  7. On the License(s) Received page, in the Save License File for [computer name] field, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to C:\Program Files\Autodesk Network License Manager\License.

    The content of this page differs depending on which server model you selected.

    Click Next.

  8. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.

After you receive your license file and save it locally, refer to How to Configure a License Server to configure your license manager.

To use your Network License Activation utility (offline request)

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] AutoCAD 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, make sure Direct Connect (over the Internet) is active, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number or Group ID
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      If you don’t know the host name, click the [...] button to locate the name of each server you plan to use.

      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. On the Product Registration page, specify the following:
    • Whether the product will be registered to a company or individual.
    • The country or region where the product will be used.
    • Whether the product is an upgrade. If it is, you also need the previous product’s serial number.

    Click Next.

  6. Enter your personalization data on the Customer Information page and choose how you’d like to receive your activation code - email or fax. Click Next.
  7. Review your personalization data on the Confirm Information page and choose the method you’ll use to submit your request. Your request can be sent by email, fax or phone.

    If you choose Send my request by Email, an email message will display for you to complete. If you choose to forward your request by fax or phone, the Contact Autodesk page will display with pertinent contact information.

    You will be sent your activation code by the method you specified on the Customer Information page.

  8. If you would like print a copy of your registration information, select the Select Open Activation Request Form. When you are finished, click Close.

After you receive your license file and save it locally, refer to How to Configure a License Server to configure your license manager.

NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.


How to Configure a License Server

How to Install and Use the Network License Activation Utility
Quick Start to Autodesk Network Licensing
How to Install and Use SAMreport-Lite (Optional)
Autodesk Network Licensing Guide > Quick Start to Autodesk Network Licensing >
How to Configure a License Server

You configure a license server so that you can manage the Autodesk product licenses you received when you ran the Network License Activation utility. Configure the license server with the lmtools.exe utility.

To configure your license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, make sure the Configure Using Services option is active.
  3. Click the Config Services tab.
  4. In the Service Name list, do one of the following:
    • If a service name is selected, verify that it is the one you want to use to manage licenses.
    • If no service name exists, enter the service name you want to use to manage licenses.

    By default, the service name is Flexlm Service 1. Your service name may be different.

    NoteIf you have more than one software vendor using FLEXlm® for license management, the Service Name list contains more than one option. Make sure that only one Autodesk service is listed.
  5. In the Path to Lmgrd.exe File field, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the C:\Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.

    This is the path to the license file obtained by the Network License Activation utility or the location where you placed the license file if you obtained it offline.

  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.

    It is recommended that you save to the \Program Files\Autodesk Network License Manager folder. The log file must have a .log file extension. For new log files, you must enter the .log extension manually.

  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Click Yes when prompted if you would like to save the settings to the service.
  11. Click the Start/Stop/Reread tab and do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead License File to refresh the Network License Manager with any changes made to the license file or Options file.

      The license server starts running and is ready to respond to client requests.

  12. Close lmtools.exe.


How to Install and Use SAMreport-Lite (Optional)

How to Configure a License Server
Quick Start to Autodesk Network Licensing
Introduction to Autodesk Network Licensing Tools
Autodesk Network Licensing Guide > Quick Start to Autodesk Network Licensing >
How to Install and Use SAMreport-Lite (Optional)

SAMreport-Lite is a reporting tool that helps you track network license usage. With SAMreport-Lite technology from Macrovision Corporation, you can monitor client usage for Autodesk network licensed products.

To learn more about installing and using SAMreport-Lite, see the SAMreport-Lite User's Guide; click the Documentation link at the lower left corner of the Installation wizard or see the Autodesk product’s Help system.


Introduction to Autodesk Network Licensing Tools

How to Install and Use SAMreport-Lite (Optional)
Network License Manager
Autodesk Network Licensing Guide >
Introduction to Autodesk Network Licensing Tools

Autodesk Network licensing tools include the Network License Manager, the Network License Activation utility, the FLEXlm configuration tools, and SAMreport-Lite. Each tool is described in the sections that follow.

Topics in this section

  • Network License Manager
  • Network License Activation Utility
  • FLEXlm Configuration Tools
  • SAMreport-Lite License Reporting Tool


Network License Manager

Introduction to Autodesk Network Licensing Tools
Introduction to Autodesk Network Licensing Tools
System Requirements for the Network License Manager
Autodesk Network Licensing Guide > Introduction to Autodesk Network Licensing Tools >
Network License Manager

The Network License Manager is used to configure and manage the license servers. When creating a deployment, the Installation wizard prompts you for information about the license manager, such as license server model and server name.

For more information about deploying an Autodesk product from a network location, see the Network Administrator's Guide, by clicking the Documentation link at the lower left corner of the Installation wizard and in the Help system.

Topics in this section

  • System Requirements for the Network License Manager


System Requirements for the Network License Manager

Network License Manager
Network License Manager
Network License Activation Utility
Autodesk Network Licensing Guide > Introduction to Autodesk Network Licensing Tools > Network License Manager >
System Requirements for the Network License Manager

Make sure that your network license server meets the minimum recommended requirements. See the following table for hardware and software requirements.

Hardware and software requirements for the network license server
Hardware/software | Requirement | Notes
Operating system | Windows Vista 32-bit Windows XP 32-bit Windows 2003 Server Edition Windows 2000 Professional Windows 2000 Server Edition | The Network License Manager supports Ethernet network configurations only.
Computer/processor | Pentium III or higher 450 Mhz (minimum) |
Network interface card | Compatible with existing Ethernet network infrastructure | The Network License Manager supports multiple network interface cards.
Communication protocol | TCP/IP | The Network License Manager uses TCP packet types.


Network License Activation Utility

System Requirements for the Network License Manager
Introduction to Autodesk Network Licensing Tools
FLEXlm Configuration Tools
Autodesk Network Licensing Guide > Introduction to Autodesk Network Licensing Tools >
Network License Activation Utility

With the Network License Activation utility, you can obtain licenses over the Internet, which saves time and effort in setting up a network licensed Autodesk product.

In addition, the utility registers your product, provides automated support for email if you cannot obtain a license over the Internet, and saves and migrates license files automatically so that you don't have to.

NoteIt is recommended that you use the Network License Activation utility to obtain your license file. However, if you are unable to connect to the Internet to obtain a license file, see Use the Network License Activation Utility.


FLEXlm Configuration Tools

Network License Activation Utility
Introduction to Autodesk Network Licensing Tools
Utilities for License Server Management
Autodesk Network Licensing Guide > Introduction to Autodesk Network Licensing Tools >
FLEXlm Configuration Tools

The Network License Manager uses FLEXlm® license management technology from Macrovision Corporation. FLEXlm provides administrative tools that help to simplify management of network licenses. You can use FLEXlm tools to monitor network license status, reset licenses lost to a system failure, troubleshoot license servers, and update existing license files on the fly.

Topics in this section

  • Utilities for License Server Management
  • The Options File


Utilities for License Server Management

FLEXlm Configuration Tools
FLEXlm Configuration Tools
The Options File
Autodesk Network Licensing Guide > Introduction to Autodesk Network Licensing Tools > FLEXlm Configuration Tools >
Utilities for License Server Management

FLEXlm provides two utilities for managing the license server. These tools are located in the [Autodesk product name]\Program Files\Autodesk Network License Manager folder.

lmtools.exe

Provides a Microsoft® Windows graphical user interface for managing the license server.

lmutil.exe

Provides a set of command line options for managing the license server.

You can use lmtools.exe or lmutil.exe to perform the following server management tasks:

  • Start, stop, and restart the server.
  • Configure, update, and reread the license file.
  • Diagnose system or license problems.
  • View server status, including active license status.


The Options File

Utilities for License Server Management
FLEXlm Configuration Tools
SAMreport-Lite License Reporting Tool
Autodesk Network Licensing Guide > Introduction to Autodesk Network Licensing Tools > FLEXlm Configuration Tools >
The Options File

Another component of FLEXlm is the Options file. You create this file to set specific configuration options. For information about creating and using an options file, see Set Up and Use an Options File.

Use the Options file to set parameters for the following server-related features:

Report log file

A compressed, encrypted file is created that generates accurate usage reports on license activity for use by SAMreport-Lite. For more information about SAMreport-Lite, see the SAMreport-Lite User's Guide, which you can access on the Documentation tab of the menu browser.

License borrowing

If your Autodesk product supports the license borrowing feature, you can allow users to borrow an Autodesk product license from a network license server so that they can use the product without being connected to the license server. A license can be borrowed for a limited period of time.

License timeout

With license timeout, you can set a timeout period on your license server. When set, license timeout returns a license to the license server when a connection with the workstation is lost, or if a license is checked out but the Autodesk product is idle on a workstation for longer than the timeout period you define.

For more information about configuration options, see Set Up and Use an Options File.

For specific information about using FLEXlm configuration tools, see the FLEXlm documentation by navigating to C:\Program Files\Autodesk Network License Manager\Docs\FlexUser\LicensingEndUserGuide.pdf.


SAMreport-Lite License Reporting Tool

The Options File
Introduction to Autodesk Network Licensing Tools
Plan Your Network Licensing
Autodesk Network Licensing Guide > Introduction to Autodesk Network Licensing Tools >
SAMreport-Lite License Reporting Tool

While not part of the network installation, a version of SAMreport called SAMreport-Lite is available to help you track network license usage. With SAMreport-Lite technology from Macrovision Corporation, you can monitor client usage for Autodesk network licensed products.

SAMreport-Lite generates usage reports in a variety of output formats including HTML, text, and Report Interchange Format. For more information about the SAMreport-Lite features and for instructions on installing SAMreport-Lite, see the SAMreport-Lite User's Guide.

NoteYou can install SAMreport-Lite and access the SAMreport-Lite User's Guide from the Autodesk product menu browser.

For additional information about SAMreport-Lite, and for updates and fixes for this feature, visit the Autodesk website at:

www.autodesk.com/samreportlite


Plan Your Network Licensing

SAMreport-Lite License Reporting Tool
Plan Your License Server Configuration
Autodesk Network Licensing Guide >
Plan Your Network Licensing

This section contains information that you need to know before you set up a network license server. The section includes information about supported license server models, license operation and availability, network license file definitions and parameters, license file examples, license types and behaviors, and the license server heartbeat signal.

Topics in this section

  • Plan Your License Server Configuration
  • Learn About Your License


Plan Your License Server Configuration

Plan Your Network Licensing
Plan Your Network Licensing
Single License Server Model
Autodesk Network Licensing Guide > Plan Your Network Licensing >
Plan Your License Server Configuration

You must decide which license server model to use for managing your Autodesk product licenses on a server. Autodesk supports the following network license server models:

  • Single license server model
  • Distributed license server model
  • Redundant license server model

Topics in this section

  • Single License Server Model
  • Distributed License Server Model
  • Redundant License Server Model


Single License Server Model

Plan Your License Server Configuration
Plan Your License Server Configuration
Distributed License Server Model
Autodesk Network Licensing Guide > Plan Your Network Licensing > Plan Your License Server Configuration >
Single License Server Model

In the single license server model, the Network License Manager is installed on a single server, so license management and activity is restricted to this server. A single license file represents the total number of licenses available on the server.

Advantages of the Single License Server Model

  • Because all license management takes place on a single server, you have just one point of administration and one point of failure.
  • Of the three license server models, this configuration requires the least amount of maintenance.

Disadvantage of the Single License Server Model

  • If the single license server fails, the Autodesk product cannot run until the server is back online.


Distributed License Server Model

Single License Server Model
Plan Your License Server Configuration
Redundant License Server Model
Autodesk Network Licensing Guide > Plan Your Network Licensing > Plan Your License Server Configuration >
Distributed License Server Model

In the distributed license server model, licenses are distributed across more than one server. A unique license file is required for each server. To create a distributed license server, you must run the Network License Manager on each server that is part of the distributed server pool.

Advantages of the Distributed License Server Model

  • Servers can be distributed across a wide area network (WAN); they do not need to exist on the same subnet.
  • If one server in the distributed server pool fails, the licenses on the remaining servers are still available.
  • If you need to replace a server in the distributed server pool, you do not need to rebuild the entire pool.
  • Server replacement is easier than in a redundant server pool, where you must reactivate the entire pool.

Disadvantage of the Distributed License Server Model

  • If a server in the distributed server pool fails, the licenses on that server are unavailable.


Redundant License Server Model

Distributed License Server Model
Plan Your License Server Configuration
Learn About Your License
Autodesk Network Licensing Guide > Plan Your Network Licensing > Plan Your License Server Configuration >
Redundant License Server Model

In the redundant license server model, you use three servers to authenticate a single license file. One server acts as the master, while the other two provide backup if the master server fails. With this configuration, licenses continue to be monitored and issued as long as at least two servers are still functional. The license file on all three servers is the same.You must install the Network License Manager on each server.

In the redundant license server model, all servers must reside on the same subnet and have consistent network communications. (Slow, erratic, or dial-up connections are not supported.)

Advantage of the Redundant License Server Model

  • If one of the three servers fails, all licenses that are managed in the server pool are still available.

Disadvantages of the Redundant License Server Model

  • If more than one server fails, no licenses are available.
  • All three servers must reside on the same subnet and have reliable network communications. The redundant server pool doesn't provide network fault tolerance.
  • If one of the three servers is replaced, the complete redundant server pool must be rebuilt.
  • If your Autodesk product supports license borrowing and licenses are borrowed from a redundant license server pool, you must restart the license server after you stop the Network License Manager.


Learn About Your License

Redundant License Server Model
Plan Your Network Licensing
License Operation and Availability
Autodesk Network Licensing Guide > Plan Your Network Licensing >
Learn About Your License

In this section, you learn about license operation and availability, the license file, license types and behaviors, and the heartbeat signal.

Topics in this section

  • License Operation and Availability
  • License Files
  • License File Examples
  • Package License File Examples
  • License Types and Behaviors
  • Heartbeat Signal


License Operation and Availability

Learn About Your License
Learn About Your License
License Files
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License >
License Operation and Availability

When a user starts an Autodesk product, the product determines the server from which it should try to obtain a license. The product then requests a license through the TCP/IP network protocol to the license server.

If the number of available licenses has not been exceeded on the license server, the Network License Manager assigns a license to the workstation. A product session then starts on the workstation, and the number of available licenses on the license server is reduced by one.

Likewise, when a user exits a product, the Network License Manager frees a license for another user. If a user runs multiple sessions of an Autodesk product on an individual workstation, only one license is used. When the last session is closed, the license is freed.

The following three processes manage the distribution and availability of licenses:

  • License manager daemon (lmgrd.exe). Handles the original contact with the application, and then passes the connection to the vendor daemon. The lmgrd.exe daemon is used to communicate with the vendor daemon only; lmgrd.exe does not authenticate or dispense licenses, but rather passes user requests to the vendor daemon. By using this approach, a single lmgrd.exe daemon can be used by multiple software vendors to provide license authentication. The lmgrd.exe daemon starts and restarts the vendor daemons as needed.
  • Autodesk vendor daemon (adskflex.exe). Keeps track of the licenses that are checked out and the workstations that are using them. Each software vendor has a unique vendor daemon to manage vendor-specific licensing. As its name implies, the adskflex.exe vendor daemon is specific to Autodesk products.
NoteIf the adskflex.exe vendor daemon terminates for any reason, all users lose their licenses until lmgrd.exe restarts the vendor daemon or the problem causing the termination is resolved.
  • License file. A text file that has vendor-specific license information.


License Files

License Operation and Availability
Learn About Your License
License File Examples
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License >
License Files

The network license file you receive from Autodesk contains licensing information required for a network installation. You obtain license file data when you register your Autodesk product.

The license file contains information about network server nodes and vendor daemons. It also contains an encrypted digital signature that is created when Autodesk generates the file.

The license file is located in a network location that you specify in the Deployment wizard. That network location must be accessible to every user who runs the product from a network installation.

The following table defines each license file parameter.

Definitions of license file parameters

Line

Parameter

Definition

Example

SERVER

Host Name

Host name of the server where the Network License Manager resides

labserver

Host ID

Ethernet address of the server where the Network License Manager resides

03D054C0149B

USE_SERVER

[None]

VENDOR

Vendor Daemon

Name of the server-side Autodesk vendor daemon

adskflex.exe

Port Number

Network port number reserved and assigned for use only by Autodesk products running the Autodesk vendor daemon

port=2080

PACKAGE

Name

Name of feature code group

SERIES_1

Version

Internal version number reference

1.000

COMPONENTS

List of feature codes supported in the package

COMPONENTS= "526000REVIT_9_OF\ 51200ACD_2007_OF\ 513001INVBUN_11_OF"

OPTIONS

OPTIONS=SUITE

SUPERSEDE

Replacement for any existing Increment line of the same feature code from any license files on the same license server that have a date earlier than the defined Issue Date

SUPERSEDE

SIGN

Encrypted signature used to authenticate the attributes of the license file

SIGN=0 SIGN2=0

INCREMENT

Feature Code

Product supported by the license file

51200ACD_2007_0F

PLIST

If there is an INCREMENT PLIST parameter in the license file, it defines the priority of license usage when the same feature code exists on an INCREMENT line.

Updated PLIST information is ignored in a distributed license server environment. Periodically, Autodesk might update the PLIST information in a network license file.

For instance, you have an existing license file containing PLIST information residing on the first server of a distributed license server environment. If you purchase another Autodesk product with a license file containing updated PLIST information, and it resides on a different server in the distributed server environment, the older PLIST data from the first server is recognized instead of the newer PLIST data.

To make sure the updated PLIST file is read obtain a new license file from Autodesk that contains the latest PLIST information. Alternatively, you could add the updated PLIST to the first server in the distributed license server environment to make sure that it is always read.

For more information, see

Example of Additional Parameters in a License File

INCREMENT PLIST

Expiration Date

Amount of time the licenses are available

permanent

Number of Licenses

Number of licenses supported by the license file

25

VENDOR_STRING

License usage type and license behavior of the product that is supported by the license file.

A VENDOR_STRING parameter that exists under an INCREMENT PLIST line determines the order in which product licenses are used, based on the feature code list.

For more information, see Example of Additional Parameters in a License File.

COMMERCIAL

BORROW

Definition of the license borrowing period for the licenses defined under the same increment line.

In this example, the maximum period that licenses can be borrowed is 4320 hours (180 days), unless otherwise noted (for example, BORROW=2880 means that licenses can be borrowed for a maximum of 2880 hours, or 120 days)

License borrowing is disabled when this parameter is absent in the license file

BORROW=4320

DUP_GROUP

Definition of multiple license requests when the same user and same host share the same license

DUP_GROUP=UH

ISSUED

Date that the license file was generated

by Autodesk

15-jul-2006

Serial Number

Serial number of the Autodesk product

123-12345678

SIGN

Encrypted signature used to authenticate the attributes of the license file

SIGN=6E88EFA8D44C


License File Examples

License Files
Learn About Your License
Example of a License File Not Specific to a Product
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License >
License File Examples

License file examples are provided in this document to help you understand how the license files work for your particular network setup. Autodesk provides a standard license file for individual products and a license file with additional parameters for products that are sold both individually and as part of a product set.

  • Standard License File. If you purchase one or more individual products that are not offered as part of a suite of products, you receive a standard license file.
  • Standard License File with Additional Parameters. If you purchase Autodesk products that are included in a product set and are also sold as an individual product, you receive a standard license file with additional parameters included in the license file. The additional parameters define the sequence for license usage so that the individual product license is used before the license for the product set.

Autodesk license file examples include a license file not specific to a product, completed license files for single, distributed, and redundant server models, a combined product version license file, and an example of additional parameters added to a standard license file.

Topics in this section

  • Example of a License File Not Specific to a Product
  • Example of a License File for a Single or Distributed Server
  • Example of a License File for a Redundant Server
  • Example of a License File for Combined Autodesk Product Versions
  • Example of Additional Parameters in a License File


Example of a License File Not Specific to a Product

License File Examples
License File Examples
Example of a License File for a Single or Distributed Server
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File Not Specific to a Product

Here is an example of the contents of a license file and the parameters associated with each line:

SERVER ServerName HostID
USE_SERVER
VENDOR adskflex port=portnumber
INCREMENT feature_code Adskflex Version ExpDate NumberofLicenses \
VENDOR_STRING=UsageType:Behavior BORROW=4320 SUPERSEDE \ DUP_GROUP=DupGrp ISSUED=IssueDate SN=SerialNumber SIGN= \


Example of a License File for a Single or Distributed Server

Example of a License File Not Specific to a Product
License File Examples
Example of a License File for a Redundant Server
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File for a Single or Distributed Server

Here is an example of a completed license file for a single or distributed license server model:

SERVER XXHP0528 0019bbd68993
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 57600ACD_2009_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2008 SN=123-12345678 SIGN="1393 \
   E368 816E D417 C1CD 7DBD 7B90 1354 D6F0 48FE EBB8 9C84 C3AF \
   7D79 BEE1 0181 0655 76FF 996C B707 14B5 D4DE A3FE 0B2D 2D36 \
   057C A579 7866 26BF 44E2" SIGN2="1280 943B 53A7 9B93 E00B D967 \
   D821 BD37 BE6D B78A F074 B223 88AA 242C DD0A 1292 D56F 4108 \
   62CD FA35 E365 0736 A011 7833 8B35 7BFF DAD8 34A8 452F 2EB4"


Example of a License File for a Redundant Server

Example of a License File for a Single or Distributed Server
License File Examples
Example of a License File for Combined Autodesk Product Versions
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File for a Redundant Server

Here is an example of a completed license file for a redundant license server model:

SERVER CCN12378042 001cc4874b03 27005
SERVER XXHP0528 0019bbd68993 27005
SERVER CCN12378043 001cc4874b10 27005
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 57600ACD_2009_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=10-Jan-2008 SN=123-12345678 SIGN="11C4 \
   CA79 07FC 7AD0 409A 6E04 6E98 D76C 197C 0416 076C B211 1CDD \
   D0AB 698B 16BF 7A0E D4F8 1CFE 2985 644F 64CD CECE 0DDB 5951 \
   3262 7C31 13A8 F08F 55B2" SIGN2="19A6 FDA3 2ED5 5301 8675 7B81 \
   1B0E 451B 19F1 1A99 C8E9 CBA6 8CB3 6AC3 8B38 1519 13F2 2373 \
   82AE 55E5 1A25 4952 4458 F3A2 6F28 D25D 1DC0 E066 209B 0953"
NoteThe redundant server model requires the addition of a port number (the default is 27005) for each server.


Example of a License File for Combined Autodesk Product Versions

Example of a License File for a Redundant Server
License File Examples
Example of Additional Parameters in a License File
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of a License File for Combined Autodesk Product Versions

You can combine a license file for different releases of the same Autodesk product or for different Autodesk products, and run all products from one license server. For example, you can combine a license file for AutoCAD 2009 with license files for AutoCAD and AutoCAD Map.

Here is an example of the contents of a combined license file for different releases:

SERVER XXHP0528 0019bbd68993
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 57600ACD_2009_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2008 SN=123-12345678 SIGN="1393 \
   E368 816E D417 C1CD 7DBD 7B90 1354 D6F0 48FE EBB8 9C84 C3AF \
   7D79 BEE1 0181 0655 76FF 996C B707 14B5 D4DE A3FE 0B2D 2D36 \
   057C A579 7866 26BF 44E2" SIGN2="1280 943B 53A7 9B93 E00B D967 \
   D821 BD37 BE6D B78A F074 B223 88AA 242C DD0A 1292 D56F 4108 \
   62CD FA35 E365 0736 A011 7833 8B35 7BFF DAD8 34A8 452F 2EB4"
INCREMENT 54600ACD_2008_0F adskflex 1.000 permanent 3 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2008 SN=123-12345678 SIGN="1E6E \
   4B61 5712 4766 92A0 6782 9EF4 3F47 56A1 1F38 6DE8 C0C7 90AC \
   7289 152E 0EA2 CC0D 3F10 577A 0489 CEB6 10D5 FBCC B552 0C9D \
   5966 91A6 59F0 2788 FACE" SIGN2="1DDF 3B9D 3392 71D5 AB08 7E05 \
   8497 111E 092F 0E54 8DC2 2BED 17C2 2CC1 981B 0EC2 BC15 8F00 \
   C79A ABFD 2136 BABA 2EDF E941 EA53 32C6 597F F805 5A8A 599A"


Example of Additional Parameters in a License File

Example of a License File for Combined Autodesk Product Versions
License File Examples
Package License File Examples
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > License File Examples >
Example of Additional Parameters in a License File

For Autodesk products that are included in a product set and are also sold as an individual product, licenses are allocated based on a sequence of priorities defined in the license file. For those products, information similar to the following example appears in a license file:

SERVER Server1 1a34567c90d2
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 54600ACD_2008_0F adskflex 1.000 permanent 5 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2007 SN=123-12345678 SIGN="0247 \
   45D6 87C4 27A5 7F9E F24A ED3D 61E4 6B3B CC5C AD77 B865 9EA8 \
   3D62 0792 0F67 19E7 57E7 FAFA A48B D582 335A EC16 1FE5 B70D \
   76AB 6488 61CC DE5E F5B7" SIGN2="09FD 0850 7CF1 F447 9F05 9FA3 \
   2A0A 38D6 83FC 1746 F3F5 5A72 6250 E002 DE0B 0E6E F88C AC95 \
   136F 87F2 A945 E4C4 A97F 44B5 74EE 83F3 3F3E 1579 B981 8994"
INCREMENT PLIST adskflex 1.000 permanent 1 \
   VENDOR_STRING=A07:51600ACDLAND_2007_0F:52200CIV3D_2007_0F;B07:51900AMECH_PP_2007_0F:51300INVBUN_11_0F:51400INVPRO_11_0F07:51900AMECH_PP_2007_0F:51300INVBUN_11_0F:51400INVPRO_11_0F
   SUPERSEDE ISSUED=15-jul-2006 SIGN="14C8 A29F BA92 C89A F132 \
   BE66 0206 D8BE F9B7 3FB5 9229 FEB8 2E8D 995E EBB5 1B9E 0142 \
   C933 9483 D0D0 CA94 6532 1CB5 37D7 03CD B085 7301 7484 CA71 \
   2861" SIGN2="0B21 109E EED0 4863 A6E9 6A65 8C7B 6D0B 0B04 \
   2F22 355F 433B 2D81 A540 1D45 55A1 DA71 4024 DA50 35E2 \
   0089 3081 724E 860B A11F EBBE 3641 A1D5"


Package License File Examples

Example of Additional Parameters in a License File
Learn About Your License
Example of a Package License File for a Single Server
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License >
Package License File Examples

Autodesk offers a package license file option, which allows you use a set of products that are packaged and sold together, while controlling the overall number of licenses you purchased.

Through package licenses, you receive a single license file to run any combination of the packaged products, up to the total number of seats purchased.

For example, if you purchased 100 seats for three Autodesk products, you can use a single license file to run any combination of three products in that package, up to 100 seats.

Following are some package license file examples for single, distributed, and redundant license servers, and one for combined Autodesk product versions.

Topics in this section

  • Example of a Package License File for a Single Server
  • Example of a Package License File for a Distributed Server
  • Example of a Package License File for a Redundant Server
  • Example of a Package License File for Combined Autodesk Product Versions


Example of a Package License File for a Single Server

Package License File Examples
Package License File Examples
Example of a Package License File for a Distributed Server
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > Package License File Examples >
Example of a Package License File for a Single Server

Here is an example of a completed license file for a single license server model:

SERVER Server1 1a34567c90d2
USE_SERVER
VENDOR adskflex port=2080
PACKAGE SERIES_1 adskflex 1.000 COMPONENTS="54700REVIT_2008_0F \
   54600ACD_2008_0F 51300INVBUN_11_0F" OPTIONS=SUITE SUPERSEDE \
   ISSUED=09-Jan-2007 SIGN="1707 9EAC CBCB 2405 692E 4A89 \
   AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 4E75 193A DA82" \
   FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A BE5F 3827 \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 98E2 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
INCREMENT SERIES_1 adskflex 1.000 permanent 100 \
   VENDOR_STRING=commercial:permanent BORROW=4320 DUP_GROUP=UH \
   SUITE_DUP_GROUP=UHV SN=123-12345678 SIGN="1707 9EAC CBCB \
   692E 4A89 FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 BE5F \
   3827 AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"


Example of a Package License File for a Distributed Server

Example of a Package License File for a Single Server
Package License File Examples
Example of a Package License File for a Redundant Server
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > Package License File Examples >
Example of a Package License File for a Distributed Server

Here is an example of a completed license file for a distributed license server model:

SERVER Server1 1a34567c90d2
USE_SERVER
VENDOR adskflex port=2080
PACKAGE SERIES_1 adskflex 1.000 COMPONENTS="54700REVIT_2008_0F \
   54600ACD_2008_0F 51300INVBUN_11_0F" OPTIONS=SUITE SUPERSEDE \
   ISSUED=09-Jan-2007 SIGN="1707 9EAC CBCB 2405 692E 4A89 \
   FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A BE5F 3827 \
   AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 4E75 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
INCREMENT SERIES_1 adskflex 1.000 permanent 100 \
   VENDOR_STRING=commercial:permanent BORROW=4320 DUP_GROUP=UH \
   SUITE_DUP_GROUP=UHV SN=123-12345678 SIGN="1707 9EAC CBCB \
   692E 4A89 FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A \
   3827 AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"


Example of a Package License File for a Redundant Server

Example of a Package License File for a Distributed Server
Package License File Examples
Example of a Package License File for Combined Autodesk Product Versions
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > Package License File Examples >
Example of a Package License File for a Redundant Server

Here is an example of a completed license file for a redundant license server model:

SERVER Server1 1a34567c90d2 27005
SERVER Server2 2a34567f90d3 27005
SERVER Server3 3a34567b90d4 27005
USE_SERVER
VENDOR adskflex port=2080
PACKAGE SERIES_1 adskflex 1.000 COMPONENTS="54700REVIT_2008_0F \
   54600ACD_2008_0F 51300INVBUN_11_0F" OPTIONS=SUITE SUPERSEDE \
   ISSUED=09-Jan-2007 SIGN="1707 9EAC CBCB 2405 692E 4A89 \
   FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A BE5F \
   AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 4E75 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
INCREMENT SERIES_1 adskflex 1.000 permanent 100 \
   VENDOR_STRING=commercial:permanent BORROW=4320 DUP_GROUP=UH \
   SUITE_DUP_GROUP=UHV SN=123-12345678 SIGN="1707 9EAC CBCB \
   692E 4A89 FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 BE5F \
   3827 AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"


Example of a Package License File for Combined Autodesk Product Versions

Example of a Package License File for a Redundant Server
Package License File Examples
License Types and Behaviors
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License > Package License File Examples >
Example of a Package License File for Combined Autodesk Product Versions

In this example, the first 50 AutoCAD 2009 product (54600ACD_2008_0F) licenses that are borrowed are decremented against the top Increment line. The 51st license is decremented from the Package line:

SERVER Server1 1a34567c90d2 27005
USE_SERVER
VENDOR adskflex port=2080
INCREMENT 54600ACD_2008_0F adskflex 1.000 permanent 50 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2007 SN=123-12345678 SIGN=6E88EFA8D44C \
PACKAGE SERIES_1 adskflex 1.000 COMPONENTS="54700REVIT_2008_0F \
   54600ACD_2008_0F 51300INVBUN_11_0F" OPTIONS=SUITE SUPERSEDE \
   ISSUED=09-Jan-2007 SIGN="1707 9EAC CBCB 2405 692E 4A89 \
   FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A BE5F \
   AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 4E75 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A 98E2 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
INCREMENT SERIES_1 adskflex 1.000 permanent 100 \
   VENDOR_STRING=commercial:permanent BORROW=4320 DUP_GROUP=UH \
   SUITE_DUP_GROUP=UHV SN=123-12345678 SIGN="1707 9EAC CBCB \
   692E 4A89 FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A \
   3827 AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
In the following example, the first 150 AutoCAD 2009 product (54600ACD_2008_0F)
licenses that are borrowed are decremented against the Package/Increment
line. The 151st license is decremented from the Increment line:
SERVER Server1 1a34567c90d2 27005
USE_SERVER
VENDOR adskflex port=2080
PACKAGE SERIES_1 adskflex 1.000 COMPONENTS="54700REVIT_2008_0F \
   54600ACD_2008_0F 51300INVBUN_11_0F" OPTIONS=SUITE SUPERSEDE \
   ISSUED=09-Jan-2007 SIGN="1707 9EAC CBCB 2405 692E 4A89 \
   FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 083A BE5F \
   30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 4E75 193A DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
INCREMENT SERIES_1 adskflex 1.000 permanent 150 \
   VENDOR_STRING=commercial:permanent BORROW=4320 DUP_GROUP=UH \
   SUITE_DUP_GROUP=UHV SN=123-12345678 SIGN="1707 9EAC CBCB \
   692E 4A89 FC45 C009 E360 944A 14BA E99C 9B24 5A1B 4A44 \
   3827 AA26 30CC 2AC2 D6B3 A61B AB5E 492E 3EBD 0B48 DA82" \
   SIGN2="004A FC90 AB47 3F6B 59BC 0E6D 6681 6971 A76A BA52 \
   5671 26B3 0E78 791B 109F 0591 7DC3 F09F 4D8D 4FB7 E341 4A03 \
   CD68 1D77 27F8 8555 9CF7 DEDD 9380"
INCREMENT 54600ACD_2008_0F adskflex 1.000 permanent 50 \
   VENDOR_STRING=commercial:permanent BORROW=4320 SUPERSEDE \
   DUP_GROUP=UH ISSUED=09-Jan-2007 SN=123-12345678 \
   SIGN=6E88EFA8D44C


License Types and Behaviors

Example of a Package License File for Combined Autodesk Product Versions
Learn About Your License
Heartbeat Signal
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License >
License Types and Behaviors

Autodesk supports dynamic product usage and license behaviors. This means that you can purchase a specific type of behavior with a specific license and change that license at a later date without having to uninstall and reinstall the Autodesk product.

License types include the following:

  • Commercial. A license for a product that was purchased commercially.
  • Not for Resale. A license for a product that is not sold commercially.
  • Educational (EDU)/Institution. A license designed specifically for educational institutions.
  • Student Portfolio. A license for students who are using an Autodesk product as part of their curriculum.

License behaviors are as follows:

  • Permanent. Enables permanent use of an Autodesk product.
  • Term Extendable. Enables access to an Autodesk product for a limited period of time. The term can be extended at any time.
  • Term Non-Extendable. Enables an Autodesk product for a limited period of time. The term cannot be extended.


Heartbeat Signal

License Types and Behaviors
Learn About Your License
Network Licensing Tools
Autodesk Network Licensing Guide > Plan Your Network Licensing > Learn About Your License >
Heartbeat Signal

When an Autodesk product is running, it communicates with the license server at regular intervals using a communication method known as the “heartbeat” signal. If the heartbeat signal is lost, the server tries to reconnect. If the server cannot reconnect, the user receives a license error.

If the product stops working because it has lost a connection to the server, you must shut down the product, and then restart it. If the problem causing the original loss of the heartbeat signal is resolved and there are available licenses on the server, the program can be restarted.


Network Licensing Tools

Heartbeat Signal
Update FLEXlm from a Previous Version
Autodesk Network Licensing Guide >
Network Licensing Tools

This section includes information for updating FlEXlm, installing and configuring the Autodesk Network License Manager on a network, and installing and using the Network License Activation utility.

Topics in this section

  • Update FLEXlm from a Previous Version
  • Install the Autodesk Network License Manager
  • Install the Network License Activation Utility
  • Use the Network License Activation Utility
  • Obtain the Server Host Name and Host ID Manually
  • Configure the License Server
  • Stop and Restart the License Server
  • Set Up and Use an Options File
  • Uninstall the Network License Manager


Update FLEXlm from a Previous Version

Network Licensing Tools
Network Licensing Tools
Install the Autodesk Network License Manager
Autodesk Network Licensing Guide > Network Licensing Tools >
Update FLEXlm from a Previous Version

AutoCAD 2009-based products require FLEXlm version 11.4.1 or later. If you are currently using a version of FLEXlm that is earlier than 11.4.1, you need to upgrade to version 11.4.1 or later.

NoteIf the server where you plan to install the Autodesk Network License Manager has FLEXlm installed for another product, make sure that the version of lmgrd.exe is the most current version.

To determine what version of FLEXlm is installed, you need to verify the version of the following four files:

  • lmgrd.exe
  • lmtools.exe
  • lmutil.exe
  • adskflex.exe

To verify the version of lmutil.exe, lmtools.exe, or adskflex.exe

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In lmtools.exe, click the Utility tab.
  3. On the Utility tab, enter the location of the file, or click the Browse button to locate the file and click Open. The file location should look something like this:

    C:\Program Files\Autodesk Network License Manager\lmutil.exe

  4. On the Utility tab, click Find Version.

    The version number of the file you selected is displayed. If necessary, use the following procedure to update your version of FLEXlm.

To update FLEXlm

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Back up your license files.
  2. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  3. In the LMTOOLS program, click the Start/Stop/Reread tab.
  4. On the Start/Stop/Reread tab, click Stop Server.
  5. Close lmtools.exe.
  6. Uninstall the Network License Manager. For details about uninstalling the Network License Manager, see Uninstall the Network License Manager.
  7. Install the Network License Manager. For details about installing the Network License Manager, see Install the Autodesk Network License Manager.
NoteVersion 11.4.1 of the FLEXlm license manager that ships with AutoCAD 2009-based products is backwards compatible and will administer licenses for the Autodesk 2008-, 2007-, 2006-, 2005-, 2004-, and 2002-based products.


Install the Autodesk Network License Manager

Update FLEXlm from a Previous Version
Network Licensing Tools
Install the Network License Activation Utility
Autodesk Network Licensing Guide > Network Licensing Tools >
Install the Autodesk Network License Manager

You can install the Network License Manager before or after you use the Installation wizard. The order in which you install the network applications does not matter, as long as you install everything you need and you provide consistent license server information across the network applications.

If an earlier version of the Network License Manager is already installed on the computer, you should upgrade by installing the Autodesk Network License Manager into the same folder where the older version is located. If you choose a different installation folder, you will have two versions of the Network License Manager on the computer.

To install the Autodesk Network License Manager

  1. In the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select the Network License Manager and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. Click the Network License Manager tab, if multiple products were selected in the previous step.
  6. On the Select the Installation Location page, either accept the default installation path (C:\Program Files\Autodesk Network License Manager\) or click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Configuration Complete.
    WarningDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must specify the drive letter; the universal naming convention (UNC) is not supported.
  7. Once returned to the Review - Configure - Install page, click Install to begin installing the Network License Manager and any other selected tools and utilities.
  8. When the Installation Complete page displays, click Finish.


Install the Network License Activation Utility

Install the Autodesk Network License Manager
Network Licensing Tools
Use the Network License Activation Utility
Autodesk Network Licensing Guide > Network Licensing Tools >
Install the Network License Activation Utility

Install the Network License Activation utility so you will be able to obtain a license file over the internet.

To install the Network License Activation utility

  1. In the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, select Network License Activation Utility and click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and want to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. Click the Network License Activation Utility tab, if multiple products were selected in the previous step.
  6. On the Select the Installation Location page, either accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\enu\) or click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide. Click Configuration Complete.
  7. Once returned to the Review - Configure - Install page, click Install to begin installing the Network License Activation Utility and any other selected tools and utilities.
  8. When the Installation Complete page displays, click Finish.


Use the Network License Activation Utility

Install the Network License Activation Utility
Network Licensing Tools
Obtain the Server Host Name and Host ID Manually
Autodesk Network Licensing Guide > Network Licensing Tools >
Use the Network License Activation Utility

With the Network License Activation utility, you can obtain licenses over the Internet. In addition, it registers your product, provides automated support for email if you cannot obtain a license over the Internet, and saves and migrates license files automatically.

When you want to use the Network License Activation utility to obtain a license file, make sure you have the following information available:

  • License server information, including host name(s) and host ID(s)
  • Serial number of previous product (for upgrades only)
  • Access to a location where license files can be saved

To use your Network License Activation utility (online request)

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] AutoCAD 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, make sure Direct Connect (over the Internet) is active, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number of Group ID
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      If you don’t know the host name, click the [...] button to locate the name of each server you plan to use.

      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. From the Log In page, enter your User ID and Password and then click Log In.

    If you don’t have a user account, click the Create a User ID Now link and follow the instructions to create a new user account.

  6. On the Confirm Your Information page, select a profile and click Next.
  7. On the License(s) Received page, in the Save License File for [computer name] field, enter the location where you want to save your license file, or click Browse to navigate to the location.
    NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.

    The content of this page will differ depending on which server model you selected.

    Click Next.

  8. On the License Activation Successful page, click Print to save a printed copy of the license information, or click Done to complete the transaction and exit the Network Activation utility.

After you receive your license file and save it locally, refer to How to Configure a License Server to configure your license manager.

To use your Network License Activation utility (offline request)

  1. On the Start menu (Windows), click All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] AutoCAD 2009 Network License Activation Utility.
  2. On the Obtain a Network License page, make sure Direct Connect (over the Internet) is active, and then click Next.
  3. On the Server Information page, enter the following data:
    • The product serial number of Group ID
      NoteIf you are modifying an existing license file or obtaining a new license for an existing product, your previously entered information might be displayed. Make sure that the serial number that is displayed is the one you want to license. If it is not, enter the correct product serial number.
    • The license server model

      For more information about each license server model, click the ? button.

    • The server host name

      If you don’t know the host name, click the [...] button to locate the name of each server you plan to use.

      NoteIn a Distributed server model, you are limited to a maximum of 20 servers. Once the 20 server limit has been reached, the Add button disappears.
    • The host ID, for each server host name you entered

      If you cannot find the host ID, click Lookup to have the utility automatically locate the host ID for the server(s).

      NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical, enter ipconfig /all at a Windows command prompt and view the Description field above each physical address. If there is more than one physical network adapter, you can use any one of them, as long as it was listed when you ran ipconfig /all. Logical devices such as VPN adapters, PPP adapters, and modems may be listed but are not usable for licensing.
    • The number of seats for each license server

      If you choose a Distributed server model, the Seats box is displayed. Enter the number of seats for each license server.

    Click Next.

  4. On the Confirm Server Information page, review the server information you entered, and click Next.
  5. If the Product Registration page is displayed, do all of the following:
    • Choose whether the product will be registered to the Company or Individual.
    • Select your country or region of residence.
    • Specify whether this is a product upgrade.

    Click Next.

  6. Enter your personalization data on the Customer Information page and choose how you’d like to receive your activation code. Click Next.
  7. Review your personalization data on the Confirm Information page and choose the method you’ll use to submit your request. Click Close.
    • If you submit your request by email, you will be sent your activation code by the method you specified on the Customer Information page.
    • If you submit your request by fax, phone, or postal mail, the Contact Autodesk page is displayed containing the Autodesk fax number, phone number, and mailing address. You can also print your activation request form.

After you receive your license file and save it locally, refer to How to Configure a License Server to configure your license manager.

NoteIt is recommended that you save your license file to the location where you installed the Network License Manager.


Obtain the Server Host Name and Host ID Manually

Use the Network License Activation Utility
Network Licensing Tools
Configure the License Server
Autodesk Network Licensing Guide > Network Licensing Tools >
Obtain the Server Host Name and Host ID Manually

If you are unable to use the Network License Activation utility to obtain your server host name and host ID, you can obtain this information manually. Autodesk uses the server host name, host ID, and product serial number to generate a license file.

To obtain the information manually, you can use the Windows command prompt or you can run the lmtools.exe utility. If you use lmtools.exe, do not run it on a remote workstation.

To obtain the host name and ID using the Windows command prompt

  1. Click Start menu (Windows) [image] All Programs (or Programs) [image] Accessories [image] Command Prompt.
  2. At the Windows command prompt, enter the following command, and then press ENTER:

    ipconfig /all

  3. Locate the Host Name line, and write down the host name.
  4. Locate the Physical Address line. Write down the physical address without the dashes. This is your twelve-character host ID.
    NoteIf your server has more than one network adapter, select the one that corresponds to a physical network adapter. To determine which adapters are physical: in the Windows command prompt, enter ipconfig /all, and then view the Description field above each physical address. If there is more than one physical network adapter, it does not matter which one you use. You just need to make sure that it is properly installed and is functional. Devices such as VPN adapters, PPP adapters, and modems are not valid.
  5. Close the Windows command prompt.

To obtain the host name and ID using lmtools.exe

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, click the Systems Settings tab.
  3. On the Systems Settings tab, locate the Computer/Hostname box. Copy the host name and paste the information into a text editor.
  4. Locate the Ethernet Address box. The ethernet address is the host ID. It consists of twelve characters. Write down the information. If your ethernet address is more than twelve characters, write down the first twelve characters only.
    NoteIf your server has more than one ethernet adapter, select the one that corresponds to the physical network adapter.
  5. Close lmtools.exe.


Configure the License Server

Obtain the Server Host Name and Host ID Manually
Network Licensing Tools
Stop and Restart the License Server
Autodesk Network Licensing Guide > Network Licensing Tools >
Configure the License Server

You configure a license server so that you can manage your Autodesk product licenses. Configure the license server with the lmtools.exe utility.

To configure the license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Click the Config Services tab.
  4. On the Config Services tab, in the Service Name list, select a service name or do one of the following:
    • If a service name is selected, verify that it is the one you want to use to manage licenses.
    • If no service name exists, enter the service name you want to use to manage licenses.
    NoteIf you have more than one software vendor using FLEXlm® for license management, the Service Name list contains more than one option.
  5. In the Path to Lmgrd.exe File box, enter the path to the Network License Manager daemon (lmgrd.exe), or click Browse to locate the file.

    By default, this daemon is installed in the \Program Files\Autodesk Network License Manager folder.

  6. In the Path to the License File box, enter the path to your license file, or click Browse to locate the file.
  7. In the Path to the Debug Log File box, enter a path to create a debug log, or click Browse to locate an existing log file.
  8. To run lmgrd.exe as a service, select Use Services.
  9. To automatically start lmgrd.exe when the system starts, select Start Server at Power Up.
  10. Click Save Service to save the new configuration under the service name you selected in step 4. Click Yes.
  11. Click the Start/Stop/Reread tab.
  12. On the Start/Stop/Reread tab, do one of the following:
    • If a service has not yet been defined for Autodesk, click Start Server to start the license server.
    • If a service for Autodesk is already defined and running, click ReRead License File to refresh the Network License Manager with any changes made to the license file or Options file.

      The license server starts running and is ready to respond to client requests.

  13. Close lmtools.exe.


Stop and Restart the License Server

Configure the License Server
Network Licensing Tools
Set Up and Use an Options File
Autodesk Network Licensing Guide > Network Licensing Tools >
Stop and Restart the License Server

Before you can perform any system maintenance on your license server, you must stop the license server. When you have completed maintenance, you can restart the license server.

To stop the license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Select the service name for the license server you want to start manually.
  4. Click the Start/Stop/Reread tab.
  5. On the Start/Stop/Reread tab, click Stop Server.
  6. Close lmtools.exe.

To restart the license server

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, on the Service/License File tab, select the Configure Using Services option.
  3. Select the service name for the license server you want to start manually.
  4. Click the Start/Stop/Reread tab.
  5. On the Start/Stop/Reread tab, click Start Server to restart the license server.


Set Up and Use an Options File

Stop and Restart the License Server
Network Licensing Tools
Create a Report Log
Autodesk Network Licensing Guide > Network Licensing Tools >
Set Up and Use an Options File

With an Options file, you set configuration options for managing licenses on each license server that you set up. An Options file sets parameters that the license file reads and the Lmgrd program executes.

If you want have the same license behavior on some or all of your license servers, you must save the same Options file to each of those license servers. If you want to specify different license behavior on different license servers, you must create an Options file for each license behavior. You must save each Options file to the server where you want specific license behavior.

NoteFor Options file changes to take effect on a license server, you must save the Options file, and then use lmtools.exe to reread the license file.

With an Options file, you can do the following:

  • Create a Report Log
  • Configure License Borrowing
  • Set Up License Timeout

Here is an example of the contents of an Options file:

REPORTLOG=c:\test\report.rl

BORROW_LOWWATER Autodesk_f1 3

TIMEOUT Autodesk_f1 7200

You can also set up advanced license parameters, such as reserving a license, restricting license usage, or defining groups of users. To learn more about setting advanced Options file parameters, see the FLEXlm documentation in the Program Files\Autodesk Network License Manager\docs\FlexUser folder.

To create an Options file

You should be logged in with Administrator rights when working with the LMTOOLS utility.

  1. Open a text editor, enter the parameters you want, and then save the document as a file named adskflex.opt to the same location where you saved the license file.
    NoteMake sure you save the file with the extension .opt. The default extension .txt is not recognized by the Network License Manager.
  2. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  3. In the Lmtools program, on the Start/Stop/Reread tab, click ReRead License File.
  4. Close lmtools.exe.

Topics in this section

  • Create a Report Log
  • Configure License Borrowing
  • Set Up License Timeout


Create a Report Log

Set Up and Use an Options File
Set Up and Use an Options File
Configure License Borrowing
Autodesk Network Licensing Guide > Network Licensing Tools > Set Up and Use an Options File >
Create a Report Log

In the Options file, you can create a report log file that is used with SAMreport-Lite.

To create a report log

  1. In a text editor, open the Options file, adskflex.opt.
  2. In the Options file, enter the following syntax on its own line (with REPORTLOG entered in uppercase, as shown):

    REPORTLOG [+]report_log_path

    For example, the syntax REPORTLOG +"c:\My Documents\report.rl" means that a report log named report.rl is located in the folder c:\My Documents.

    NotePath names that contain spaces must be enclosed in quotation marks.

    In the REPORTLOG syntax, “[+]” means that entries to the log file you create are appended rather than replaced each time the Network License Manager is restarted. (It is recommended that you use this option so that you retain a history of log entries.)


Configure License Borrowing

Create a Report Log
Set Up and Use an Options File
Set Up License Timeout
Autodesk Network Licensing Guide > Network Licensing Tools > Set Up and Use an Options File >
Configure License Borrowing

If your Autodesk product supports the license borrowing feature, you can use the Options file to configure license borrowing options. For example, you can define the maximum number of licenses that cannot be borrowed from your network at any one time. In addition, you can define which users can borrow an Autodesk product license. Licenses are borrowed per user, not per machine.

NoteIf your Autodesk product supports license borrowing, and licenses are borrowed from a redundant license server pool, you must restart the license server after you stop the Network License Manager.

At the end of a borrow period, the borrowed license is automatically disabled on the user's computer and becomes available again on the license server. Users can also return a license before a borrow period has ended.

To set license borrowing parameters

  1. In the Options file, enter the following syntax on its own line (with BORROW_LOWWATER entered in uppercase, as shown):

    BORROW_LOWWATER feature_code n

    In the BORROW syntax, “feature_code” is the name of the product in the license file, and “n” is the number of licenses that cannot be borrowed.

    For example, the syntax BORROW_LOWWATER Autodesk_f1 3 means that for the product Autodesk_f1, three licenses cannot be borrowed from the license server.

  2. Enter the following syntax on the next line (with MAX_BORROW_HOURS entered in uppercase, as shown):

    MAX_BORROW_HOURS feature_code n

    In this syntax, “n” is the number of hours that a license can be borrowed.

    For example, the syntax MAX_BORROW_HOURS Autodesk_f1 360 means that for product Autodesk_f1, licenses can be borrowed for 360 hours, or 15 days.

    NoteLicenses are borrowed in increments of 24 hours only. Any number that is more than a 24-hour increment is not used. For example, the number 365 would be rounded down to 360 hours, or 15 days.

For more information about setting up the license borrowing feature, see the FLEXlm documentation in the Program Files\Autodesk Network License Manager\Docs\FlexUser folder.

NoteUsers can borrow a license in an Autodesk product by clicking the Tools menu [image] License Borrowing, or by entering borrowlicense on the Autodesk product command line. Help for this feature is available in the Borrow a License for [Autodesk product name] window and in \Program Files\[Autodesk product name]\Help\[Autodesk product name]_brw.chm.


Set Up License Timeout

Configure License Borrowing
Set Up and Use an Options File
Uninstall the Network License Manager
Autodesk Network Licensing Guide > Network Licensing Tools > Set Up and Use an Options File >
Set Up License Timeout

License timeout is set in the Options file to determine how long a product session can be idle before the license is reclaimed by the license server. When you set this flag in the Options file, a user's license is reclaimed by the license server if the product is idle on a workstation for more than the timeout period you define.

If a user's license is lost because of the idle timeout, the product attempts to claim a new license once the user uses the product again. If no license is available, the user can save work before the product shuts down.

To set license timeout parameters

  • In the Options file, enter the following syntax on its own line (with TIMEOUT entered in uppercase, as shown):

    TIMEOUT feature_code n

    In the TIMEOUT syntax, “feature_code” is the name of the product (referred to in the INCREMENT line in the license file), and “n” is the number of seconds before an inactive license is reclaimed by the license server.

    For example, the syntax TIMEOUT Autodesk_f1 7200 means that for the product Autodesk_f1, the license timeout period is set for 7200 seconds, or two hours.

For more information about using the license timeout feature, see the FLEXlm documentation in the Program Files\Autodesk Network License Manager\Docs\FlexUser folder.


Uninstall the Network License Manager

Set Up License Timeout
Network Licensing Tools
Glossary
Autodesk Network Licensing Guide > Network Licensing Tools >
Uninstall the Network License Manager

You can uninstall the Network License Manager from the license server. When you uninstall the Network License Manager, licenses are no longer available to your users.

To uninstall the Network License Manager

  1. Do one of the following:
    • Click Start menu (Windows XP & 2000) [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
    • Right-click the LMTOOLS icon (Windows Vista) on the desktop and click Run As Administrator.
  2. In the Lmtools program, click the Start/Stop/Reread tab.
  3. On the Start/Stop/Reread tab, click Stop Server.
  4. Close lmtools.exe.
  5. In the Windows Control Panel, double-click Add/Remove Programs.
  6. In the Add/Remove Programs window, click Autodesk Network License Manager. Click Remove.
  7. If prompted, restart your computer.
NoteYou must manually delete files that you created for use with the Network License Manager (such as log files, license files, and the Options file). They are not automatically deleted when you uninstall the Network License Manager.


Glossary

Uninstall the Network License Manager
Autodesk Network Licensing Guide >
Glossary
adskflex.exe

The Autodesk vendor daemon used with the FLEXlm license technology. This daemon keeps track of the Autodesk licenses that are checked out and the workstations that are using the licenses.

ADSKFLEX_LICENSE_FILE

In a distributed license server configuration, the environment variable used to point a workstation to the distributed license servers.

borrowed license

A license that allows you to use an Autodesk product for a limited period of time without having to buy a separate license or have network access to the license server. Previous versions of your Autodesk product may have used the License Configuration Switcher.

daemon

A program that runs continuously in the background of a computer. The daemon handles requests from the computer and then forwards the requests to other programs or processes. The Network License Manager uses two daemons: the vendor daemon (adskflex.exe) and the license manager daemon (lmgrd.exe).

debug log file

A file used with FLEXlm to log connection activity (such as license failure or starting and stopping) between the Network License Manager and the workstation.

deployment

The files and folders created on a server and used by workstations to install Autodesk programs.

distributed server

A license server configuration option in which several servers are used to manage license distribution. Each distributed license server has a unique license file and a fixed number of licenses. If one distributed license server fails, the other servers are still able to distribute their licenses.

ethernet address

See host ID.

FLEXlm

The Macrovision Corporation license management technology implemented in the Autodesk family of products.

heartbeat signal

The communication signal between the Network License Manager and the workstation to verify that the workstation is accessible and has an active Autodesk product session running.

host ID

The unique hardware address of a network adapter. Also known as ethernet address or physical address.

host name

The TCP/IP name associated with a computer. FLEXlm technology uses the host name as a parameter; the host name must be distinguished from the NetBIOS (server) name.

idle

A state of inactivity in your product that prompts a network license server to reclaim a license. Your product may be considered idle for a number of reasons, such as when there have been no keystrokes or mouse clicks within the product or if no commands, LISP expressions, menu macros, or scripts are in progress for the period of time that is defined in the Options file. See also license timeout.

JRE (Java Runtime Environment)

A program that is required to run Java programs. This program must be installed with SAMreport-Lite.

license configuration switcher

See borrowed license.

license file

A file used with FLEXlm that controls the number of available seats. This file must be in ASCII plain text format.

license server

A server that contains the Network License Manager.

license timeout

A feature that allows you to set up a timeout period on your license server to automatically return an idle license to the server so that it is available for use again.

licpath.lic

In both single and redundant server configurations, the file used to point the workstation to the FLEXlm license server. Licpath.lic is located in the root installation folder.

lmgrd.exe

The license manager daemon. This daemon handles the original contact with the program, and then passes the connection to the vendor demon, adskflex.exe.

lmtools.exe

A graphical user interface utility used to administer the FLEXlm license technology. (Lmutil.exe is the command line version of this utility.)

lmutil.exe

A command line utility used to administer the FLEXlm license technology. (Lmtools.exe is the graphical user interface version of this utility.)

master daemon

See lmgrd.exe.

Network License Activation utility

A utility that allows network administrators to license and authorize network versions of an Autodesk product over the Internet.

network license installation

A type of installation that requires you to install and run the Network License Manager from a network server. You must install and configure the Network License Manager before clients can run the Autodesk product.

Network License Manager

The technology used by Autodesk for network license management.

Options file

The file used by FLEXlm to control license manager parameters, such as reserving licenses and creating report logs used with SAMreport-Lite.

physical address

See host ID.

redundant server

A license server configuration option in which three servers are used to administer licenses. The redundant servers share a license file and a pool of licenses. The redundant server pool remains functional as long as two of the three servers are running.

report log file

A file used with FLEXlm and SAMreport-Lite. This log file provides information about network license usage. The Options file creates the report log.

runtree

The location of Autodesk product program files, such as acad.exe.

SAMreport-Lite

A version of Macrovision Corporation's SAMreport tool. SAMreport-Lite is included on the Autodesk product CD-ROM.

vendor daemon

See adskflex.exe.

workstation

A desktop computer used by an individual user on a network.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!